#include <iostream>
#include <sstream>
#include <windows.h>
#include "OS-specific.h"
#include "Split.h"

/*
ls_la Version 1.04
Acquiring modified time of the file to produce time_in.UTC (Time is expressed in UTC.)
Copyright 2017 Sogaya

GCC

*/

int main(int argc, char *argv[]) {
    using namespace std;

    if(argc == 2) {
        if(! strcmp(argv[1], "-V") ) {
            cerr << "ls_la Version " << VERSION << "\n" << endl;
            cerr << "ls_la \"*.exe\" \"*.txt\" " << endl;
            cerr << "TYPE " << WRITE_TIME_TEXT << endl;
            return 1;
        }

    }

    stringstream os;
    for(int i = 1; i < argc && i <= FILE_TYPE_COUNT; ++i) {
        os << argv[i] << GAP;
    }

    string commandLine = os.str();
    Split a(commandLine, GAP, FILE_TYPE_COUNT);
    int n = a.count();

    FILE_TYPES s;
    s.file_type_count = n;
    s.e0 = a.argument(0);
    s.e1 = a.argument(1);
    s.e2 = a.argument(2);
    s.e3 = a.argument(3);
    s.e4 = a.argument(4);
    s.e5 = a.argument(5);
    s.e6 = a.argument(6);
    s.e7 = a.argument(7);
    createWriteTimeText(s);
    return 0;
}

